package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class StudentSignQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "开始时间",required = false)
    private String startTime;

    @ApiModelProperty(value = "结束时间",required = false)
    private String endTime;

    @ApiModelProperty(value = "课程名称",required = false)
    private String courseScheduleName;

    @ApiModelProperty(value = "学生名",required = false)
    private String userName;

    @ApiModelProperty(value = "签到状态",required = false)
    private String signStatus;

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "班级编号")
    private Integer classGroupId;

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getCourseScheduleName() {
        return courseScheduleName;
    }

    public void setCourseScheduleName(String courseScheduleName) {
        this.courseScheduleName = courseScheduleName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(String signStatus) {
        this.signStatus = signStatus;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }
}
